[arch-commits] Commit in recordproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 15:40:17 EDT 2009


    Date: Friday, April 17, 2009 @ 15:40:16
  Author: eric
Revision: 35839

Merged revisions 356,35838 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/recordproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35838 | eric | 2009-04-17 15:39:59 -0400 (Fri, 17 Apr 2009) | 2 lines
  
  upgpkg: recordproto 1.13.2-2
      Added license
........

Modified:
  recordproto/repos/extra-x86_64/	(properties)
  recordproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: recordproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /recordproto/trunk:1
   + /recordproto/trunk:1-35838

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-17 19:39:59 UTC (rev 35838)
+++ extra-x86_64/PKGBUILD	2009-04-17 19:40:16 UTC (rev 35839)
@@ -3,17 +3,19 @@
 
 pkgname=recordproto
 pkgver=1.13.2
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Record extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('0ed4706564a34fc2aff724aa16d3ff00')
 sha1sums=('833ef2bc4b084281f85eeba5d4ba03441bd3a534')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list